## kdegraphics-thumbnailers 24.08.1

=== debian/changelog ===
kdegraphics-thumbnailers (4:24.08.1-0ubuntu2) oracular; urgency=medium

  * Restore building with raw image support.

 -- Rik Mills <rikmills@kde.org>  Sat, 14 Sep 2024 09:54:07 +0100

kdegraphics-thumbnailers (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New uptream release (24.08.1)
  * Build without optional raw support until we have libkdcraw.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 14:03:41 +0100

kdegraphics-thumbnailers (4:24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Aug 2024 23:32:36 +0200

kdegraphics-thumbnailers (4:24.05.2-1) experimental; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * New upstream release (24.05.2).

  [ Scarlett Moore ]
  * Add myself to uploaders.
  * Update dependencies according to cmake.
  * Bump standards version 4.7.0, no changes required. 
  * Remove inactive uploaders, thanks for your work.
  * Remove kf5 from rules.
  * Refresh copyright.
  * Override auto configure to set QT_MAJOR_VERSION.
  * Add bug information to metadata; it does not have a product.

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 15 Aug 2024 03:17:35 -0700
