## kdegraphics-thumbnailers 24.08.2

=== debian/changelog ===
kdegraphics-thumbnailers (4:24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)
  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 10:37:52 +0000
