## kdegraphics-thumbnailers 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,16 +23,26 @@
 
 option(DISABLE_MOBIPOCKET "Disable the mobipocket thumbnailer." OFF)
 
-find_package(KF${QT_MAJOR_VERSION}KExiv2)
-set_package_properties("KF${QT_MAJOR_VERSION}KExiv2"    PROPERTIES
+if(QT_MAJOR_VERSION STREQUAL "6")
+    set(KExiv2PackageName KExiv2Qt6)
+else()
+    set(KExiv2PackageName KF5KExiv2)
+endif()
+find_package(${KExiv2PackageName})
+set_package_properties(${KExiv2PackageName}    PROPERTIES
                        DESCRIPTION "A library for reading and writing image metadata"
                        URL         "www.kde.org"
                        TYPE        OPTIONAL
                        PURPOSE     "Required to build the RAW thumbnailer"
 )
 
-find_package(KF${QT_MAJOR_VERSION}KDcraw)
-set_package_properties("KF${QT_MAJOR_VERSION}KDcraw"    PROPERTIES
+if(QT_MAJOR_VERSION STREQUAL "6")
+    set(KDcrawPackageName KDcrawQt6)
+else()
+    set(KDcrawPackageName KF5KDcraw)
+endif()
+find_package(${KDcrawPackageName})
+set_package_properties(${KDcrawPackageName}    PROPERTIES
                        DESCRIPTION "A library for accessing raw files"
                        URL         "www.kde.org"
                        TYPE        OPTIONAL
@@ -71,7 +81,7 @@
 
 ecm_optional_add_subdirectory(ps)
 
-if(KF${QT_MAJOR_VERSION}KExiv2_FOUND AND KF${QT_MAJOR_VERSION}KDcraw_FOUND)
+if(${KExiv2PackageName}_FOUND AND ${KDcrawPackageName}_FOUND)
 ecm_optional_add_subdirectory(raw)
 endif()
 
@@ -84,4 +94,4 @@
 install(FILES org.kde.kdegraphics-thumbnailers.metainfo.xml
         DESTINATION ${KDE_INSTALL_METAINFODIR})
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
