## kdegraphics-thumbnailers 25.04.0

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.04.0-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Team upload.
  * New upstream release (25.04.0).

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Apr 2025 15:38:29 -0400

kdegraphics-thumbnailers (4:25.03.90-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Team upload.
  * New upstream release candidate (25.03.90).
  * debian/control: Bump Standards-Version to 4.7.2.

 -- Boyuan Yang <byang@debian.org>  Wed, 09 Apr 2025 18:12:27 -0400
