## kdegraphics-thumbnailers 25.08.2+p24.04+vstable+git20251016.0748

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.08.2+p24.04+vstable+git20251016.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 07:48:03 +0000
