=== debian/control ===
Source: kdegraphics-thumbnailers
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kio-dev,
               libkdcraw-dev,
               libkexiv2-dev,
               libqmobipocket-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kdegraphics-thumbnailers.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdegraphics-thumbnailers
Maintainer: Neon CI <neon@kde.org>

Package: kdegraphics-thumbnailers
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ghostscript
Breaks: kdegraphics-thumbnailers-5 (<< 4:24.02.0-1)
Replaces: kdegraphics-thumbnailers-5 (<< 4:24.02.0-1)
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.
