## kdegraphics-thumbnailers 25.08.3+p24.04+vstable+git20251109.0054

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.08.3+p24.04+vstable+git20251109.0054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 09 Nov 2025 00:54:57 +0000

kdegraphics-thumbnailers (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:36:42 +1000
