## kdegraphics-thumbnailers 25.08.3+p24.04+vunstable+git20251106.2236

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.08.3+p24.04+vunstable+git20251106.2236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 22:36:03 +0000
