=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
-               libkdcrawqt6-dev (>= 25.11.90~),
-               libkexiv2qt6-dev (>= 25.11.90~),
+               libkdcrawqt6-dev (>= 25.12.0~),
+               libkexiv2qt6-dev (>= 25.12.0~),
                libkf6archive-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
-               libqmobipocket6-dev (>= 4:25.11.90~),
+               libqmobipocket6-dev (>= 4:25.12.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/graphics/kdegraphics-thumbnailers
