## kdegraphics-thumbnailers 25.12.0+p24.04+vstable+git20251208.1315

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.12.0+p24.04+vstable+git20251208.1315-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:15:29 +0000

kdegraphics-thumbnailers (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:32:37 +1000
