## kdegraphics-thumbnailers 25.12.1+p24.04+vstable+git20260106.1509

=== debian/changelog ===
kdegraphics-thumbnailers (4:25.12.1+p24.04+vstable+git20260106.1509-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 15:09:18 +0000

kdegraphics-thumbnailers (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:21:47 +1000
